﻿using AbstractLawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractLawFirmContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }

        public string ShopName { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;

        public DateTime OpeningDate { get; set; } = DateTime.Now;

        public Dictionary<int, (IDocumentModel, int)> ShopDocuments
        {
            get;
            set;
        } = new();
		public int MaxCountDocuments { get; set; }
	}
}
