﻿using AbstractLawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractLawFirmContracts.ViewModels
{
    public class DocumentViewModel : IDocumentModel
    {
        public int Id { get; set; }
        [DisplayName("Название пакета документов")]
        public string DocumentName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> DocumentComponents
        {
            get;
            set;
        } = new();

    }
}
