﻿using AbstractLawFirmDataModels;
using AbstractLawFirmDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractLawFirmDataModels.Models
{
    public interface IOrderModel : IId
    {
        int DocumentId { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }

    }
}
