﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractLawFirmDataModels.Models
{
    public interface IShopModel : IId
    {
        String ShopName { get; }
        String Address { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (IDocumentModel, int)> ShopDocuments { get; }
		int MaxCountDocuments { get; }
	}
}
